<?php
/*
Plugin Name: UserStat
Version: 1.0.0
Description: Statistiques utilisateurs / Users statistics
Plugin URI: http://piwigo.org/ext/extension_view.php?eid=321
Author: grum@piwigo.org
Author URI: http://photos.grum.fr/
*/

/*
--------------------------------------------------------------------------------
  Author     : Grum
    email    : grum@piwigo.org
    website  : http://photos.grum.fr
    PWG user : http://forum.phpwebgallery.net/profile.php?id=3706

    << May the Little SpaceFrog be with you ! >>
--------------------------------------------------------------------------------

:: HISTORY


| release | date       |
| 1.0.0   | 2009/11/15 | * first public release
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |
|         |            |



:: TO DO

--------------------------------------------------------------------------------

:: NFO
  UserStat_AIM : classe to manage plugin integration into plugin menu
  UserStat_AIP : classe to manage plugin admin pages

--------------------------------------------------------------------------------
*/

// pour faciliter le debug :o)
// ini_set('error_reporting', E_ALL);
// ini_set('display_errors', true);

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('USERSTAT_DIR' , basename(dirname(__FILE__)));
define('USERSTAT_PATH' , PHPWG_PLUGINS_PATH . USERSTAT_DIR . '/');

define('USERSTAT_VERSION' , '1.0.0'); // => ne pas oublier la version dans l'entête !!

global $prefixeTable;

//UserStat loaded and active only if in admin page
if(basename($_SERVER["PHP_SELF"])=='admin.php')
{
  include_once("userstat_aim.class.inc.php");

  $obj = new UserStat_AIM($prefixeTable, __FILE__);
  $obj->init_events();
  set_plugin_data($plugin['id'], $obj);
}

?>
